## org.biojava.bibliography
Class BiblioJournalArticle

    java.lang.Object
      org.biojava.bibliography.BibRef
          org.biojava.bibliography.BiblioArticle
              org.biojava.bibliography.BiblioJournalArticle

    public class BiblioJournalArticle

extends BiblioArticle

It represents a journal article.

Since:
  1.3
Version:
  $Id: BiblioJournalArticle.java 2812 2003-07-16 16:01:11Z mrp $
Author:
  Martin Senger

Field Summary
`BiblioJournal` `fromJournal` The journal that this article is in.
`String` `issue` The issue of the journal.
`String` `issueSupplement` Suplement.
`String` `volume` The journal volume.

Fields inherited from class org.biojava.bibliography.BiblioArticle
`firstPage, lastPage`

Fields inherited from class org.biojava.bibliography.BibRef
`authors, contributors, coverage, crossReferences, date, description, entryStatus, format, identifier, language, properties, publisher, rights, subject, title, type`

Constructor Summary
`BiblioJournalArticle()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### volume

    public String volume

  The journal volume.

### issue

    public String issue

  The issue of the journal.

### issueSupplement

    public String issueSupplement

  Suplement.

### fromJournal

    public BiblioJournal fromJournal

  The journal that this article is in.

Constructor Detail

### BiblioJournalArticle

    public BiblioJournalArticle()